Bug 57912 - size argument doesn't work in ps
Summary: size argument doesn't work in ps
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: procps   
(Show other bugs)
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-01 06:05 UTC by Joseph Shraibman
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-01 14:05:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for procps/ps/output.c (1.55 KB, patch)
2002-01-01 06:06 UTC, Joseph Shraibman
no flags Details | Diff
new patch (disregard the old one) (1.55 KB, patch)
2002-03-12 01:27 UTC, Joseph Shraibman
no flags Details | Diff

Description Joseph Shraibman 2002-01-01 06:05:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011221

Description of problem:
In the ps shipped with redhat the 'size' argument doesn't work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. See below
2.
3.
	

Actual Results:  ~] ps -w -w -o pid,rss,size,args --sort size  
  PID  RSS - COMMAND
 5141  772 - ps -w -w -o pid,rss,size,args --sort size
 5107 1328 - -bash


Expected Results:  ~] ps -w -w -o pid,rss,size,args --sort size            
  PID  RSS SIZE COMMAND
22160  824  824 ps -w -w -o pid,rss,size,args --sort size
10586 1008 1008 bash

Additional info:

A patch is available at http://www.selectacast.net/~jks/psdiff.txt

A note in the bug submit form says

Comment 1 Joseph Shraibman 2002-01-01 06:06:39 UTC
Created attachment 41571 [details]
patch for procps/ps/output.c

Comment 2 Joseph Shraibman 2002-03-12 01:27:53 UTC
Created attachment 48224 [details]
new patch (disregard the old one)

Comment 3 Alexander Larsson 2002-08-08 14:21:02 UTC
Should be fixed in 2.0.7-24



Note You need to log in before you can comment on or make changes to this bug.